5.3.1 is working for me - I won't spend the effort to go to 5.4.2